#include <stdlib.h>
#include "value.h"
#include "lists.h"

value *
value_new (int vtype)
{
	value	*v = (value *)malloc(sizeof(value));
	v->v_type = vtype;
	v->v_value = 0;
	v->v_string = NULL;
	return v;
}

void
value_destroy (value *v)
{
	switch (v->v_type) {
		case MM_ARRAY:
			list_destroy((listentry *)(v->v_array));
			break;
		case MM_STRING:
			free(v->v_string);
			break;
		/* case MM_VALUE: */
	}
}
