#ifndef __VALUE_H__
#define __VALUE_H__

/* This could be interesting. */
#define MM_NONE		(1<<0)
#define MM_ARRAY	(1<<1)
#define MM_EARRAY	(1<<2)
#define MM_STRING	(1<<3)
#define MM_VALUE	(1<<4)
#define MM_MAPPING	(1<<5)
#define MM_EMAPPING	(1<<6)
#define MM_MAPDATA	(1<<7)
#define MM_COMMA	(1<<11)
#define MM_COLON	(1<<12)
#define MM_EOL		(1<<13)
#define MM_EOF		(1<<14)
#define MM_ERR		(1<<15)

#define NODEVALUE(x) ((value *)(x->data))

typedef
struct _value {
	int			 v_type;
	long		 v_value;
	char		*v_string;
	void		*v_array;
	struct _value *d;
} value;

value		*value_new		(int vtype);
void		 value_destroy	(value *v);

#endif
